<?php

/**
 * @package     com_eglossary for Joomla! 1.5
 * @version	$Id: termslist.php 2010-09-02 10:07:31Z Hernán Roa $
 * @author      Hernán Roa Reyes
 * @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
 * @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
 * See license.txt
 * flexam is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class eglossaryControllerTermslist extends JController {

    /**
     * Custom Constructor
     */
    function __construct($default = array()) {
        parent::__construct($default);

        $this->registerTask( 'unpublish',   'publish');
        $this->registerTask( 'preview',     'display');
        $this->registerTask( 'edit',        'display');
        $this->registerTask( 'add' ,        'display' );
    }

    function display() {
        $actEvt = JRequest::getVar('task');
        
        switch($actEvt){
            case 'add'     :
            {
                    JRequest::setVar( 'hidemainmenu', 1 );
                    JRequest::setVar( 'layout', 'form'  );
                    JRequest::setVar( 'view', 'termlist'  );
                    JRequest::setVar( 'edit', false  );
            } break;
            case 'edit'    :
            {
                    JRequest::setVar( 'hidemainmenu', 1 );
                    JRequest::setVar( 'layout', 'form'  );
                    JRequest::setVar( 'view', 'termlist'  );
                    JRequest::setVar( 'edit', true  );
            } break;
        }

        if(JRequest::getVar('task') === 'publish' || JRequest::getVar('task') === 'unpublish'){
            $this->publish(JRequest::getVar('task'));
        }

        if (JRequest::getVar('task') == 'remove') {
            $this->remove();
        }

        if (JRequest::getVar('task') == 'save') {
            $this->addTerm();
        }

        if (JRequest::getVar('task') == 'update') {
            $this->editTerm();
        }
        //Set the default view, just in case
        $view = JRequest::getCmd('view');

        if (empty($view)) {
            JRequest::setVar('view', 'termlist');
        };
        
        parent::display();
    }

    function addTerm() {
        // Check for request forgeries
        JRequest::checkToken() or jexit('Invalid Token');

        $db = & JFactory::getDBO();
        $cid = JRequest::getVar('cid', array(), '', 'array');
        
        $msg = '';

        $title      = JRequest::getVar('title');
        $term       = JRequest::getVar('term', NULL, 'post', 'none', 4);
        $published  = JRequest::getVar('published', NULL, 'post');
        $dateUp     = date('Y-m-d');
        $user   = JFactory::getUser();

        if(!empty($term)) {
            $term = str_replace('"', '&#34;', str_replace("'", '&#39;', $term));
        }

        if(!empty($title)) {
            $title = str_replace('"', '&#34;', str_replace("'", '&#39;', $title));
        }
        
        $qry = "INSERT INTO #__eglossaryTerm (title, term, idUser, dateUp, published) " .
            " VALUES('$title', '$term', '$user->id', '$dateUp', '$published')";
        $db->setQuery($qry);

        if (!$db->query()) {
            $msg .= $db->getErrorMsg() . " ";
        }

        $this->setRedirect('index.php?option=com_eglossary&optCtrl=tList', $msg);
    }

    function editTerm() {
        // Check for request forgeries
        JRequest::checkToken() or jexit('Invalid Token');

        $db = & JFactory::getDBO();
        $cid = JRequest::getVar('cid', array(), '', 'array');
        
        $msg = '';

        for ($i = 0, $n = count($cid); $i < $n; $i++) {
            $title      = JRequest::getVar('title' . $cid[$i], NULL, 'post', 'none', 4);
            $term       = JRequest::getVar('term' . $cid[$i], NULL, 'post', 'none', 4);
            $published  = JRequest::getVar('published' . $cid[$i], NULL, 'post');
            $dateMod    = date('Y-m-d');

            if(!empty($term)) {
                $term = str_replace('"', '&#34;', str_replace("'", '&#39;', $term));
            }

            if(!empty($title)) {
                $title = str_replace('"', '&#34;', str_replace("'", '&#39;', $title));
            }

            $qry = "UPDATE #__eglossaryTerm SET title='" . $title . 
                "', term='" . $term .
                "', dateModify='" . $dateMod .
                "', published='" . $published .
                "' WHERE id='$cid[$i]'";

            $db->setQuery($qry);

            if (!$db->query()) {
                $msg .= $db->getErrorMsg() . " ";
            }
        }
       
        $this->setRedirect('index.php?option=com_eglossary&optCtrl=tList', $msg);
    }

    function remove() {
        // Check for request forgeries
        JRequest::checkToken() or jexit('Invalid Token');

        $db = & JFactory::getDBO();
        $cid = JRequest::getVar('cid', array(), '', 'array');
        
        $msg = '';
        
        for ($i = 0, $n = count($cid); $i < $n; $i++) {
            $qry = "DELETE FROM #__eglossaryTerm WHERE id='$cid[$i]'";

                    $db->setQuery($qry);

                    if (!$db->query()) {
                        $msg .= $db->getErrorMsg() . " ";
                    }
        }

        $this->setRedirect('index.php?option=com_eglossary&optCtrl=tList', $msg);
    }

    function cancel() {
        // Check for request forgeries
        JRequest::checkToken() or jexit('Invalid Token');

        $id = JRequest::getVar('id', 0, '', 'int');
        $db = & JFactory::getDBO();
        $row = & JTable::getInstance('eglossary', 'Table');

        $row->checkin($id);
        $this->setRedirect('index.php?option=com_eglossary&optCtrl=tList');
    }

    function publish($state){
        global $mainframe;

        // Check for request forgeries
        JRequest::checkToken() or jexit( 'Invalid Token' );

        $db 	=& JFactory::getDBO();
        $user 	=& JFactory::getUser();

        $cid		= JRequest::getVar( 'cid', array(), '', 'array' );
        $publish	= ( $state == 'publish' ? 1 : 0 );

        JArrayHelper::toInteger($cid);

        if (count( $cid ) < 1) {
                $action = $publish ? 'publish' : 'unpublish';
                JError::raiseError(500, JText::_( 'Select an item to' .$action, true ) );
        }

        $cids = implode( ',', $cid );

        $query = 'UPDATE #__eglossaryTerm'
        . ' SET published = ' . (int) $publish
        . ' WHERE id IN ( '. $cids .' )';

        $db->setQuery( $query );

        if (!$db->query()) {
                JError::raiseError(500, $db->getErrorMsg() );
        }
        
        $mainframe->redirect( 'index.php?option=com_eglossary&optCtrl=tList' );
    }
}