<?php
/**
 * @package     com_eglossary for Joomla! 1.5
 * @version	$Id: form.php 2010-09-02 10:07:31Z Hernán Roa $
 * @author      Hernán Roa Reyes
 * @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
 * @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
 * See license.txt
 * flexam is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
defined('_JEXEC') or die('Restricted access');

$titleFm        = NULL;
$acctionTask    = JRequest::getVar('task');
$jsTask         = ($acctionTask === 'edit') ? 'update' : 'save';
$cid            = JRequest::getVar('cid', array(0), '', 'array');
$edit           = JRequest::getVar('edit', true);

JArrayHelper::toInteger($cid, array(0));

$txtEditor = &JFactory::getEditor();

$text = ( $edit ? JText::_('Edit') : JText::_('New') );

JToolBarHelper::title(JText::_('GLOSSARY TITLE') . ': <small><small>[ ' . $text . ' ]</small></small>');

if ($edit) {
    // for existing items the button is renamed `close`
    JToolBarHelper::custom('update', 'save', NULL, JText::_('Save'), false);
    JToolBarHelper::cancel('cancel', 'Close');
} else {
    JToolBarHelper::save();
    JToolBarHelper::cancel();
}
//JToolBarHelper::help( 'screen.flexam.edit' );

JFilterOutput::objectHTMLSafe($this->items, ENT_QUOTES);
?>

<script language="javascript" type="text/javascript">
    function submitFm(idFm){
        document.forms[idFm].submit();
    }

    function validateform(msg, task) {

        var length = arguments.length
        var disc = true;

        if(length > 2){
            for(var i = 2; i < length; i++) {
                if(document.getElementById('title' + arguments[i]).value != '') {
                    disc = disc && true;
                } else {
                    disc = disc && false;
                }

                if(document.getElementById('term' + arguments[i]).value != '') {
                    disc = disc && true;
                } else {
                    disc = disc && false;
                }
            }
        } else {
            if(document.getElementById('title').value != '') {
                disc = disc && true;
            } else {
                disc = disc && false;
            }
        }

        if (disc){
            document.getElementById('task').value = task;
            submitFm('adminForm');
        } else {
            alert (msg);
        }
    }

    function submitbutton(pressbutton) {
        var form = document.adminForm;
        if (pressbutton == 'cancel') {
            submitform( pressbutton );
            return;
        } else {
            validateform( <?php echo "'" . JText::_('EGLOSSARY ALERT FORM') . "', '$jsTask' " . $this->jsVarDump($cid); ?> );
        }
    }
</script>
<form action="index.php?option=com_eglossary&optCtrl=tList" method="post" name="adminForm">
    <div>
        <fieldset class="adminform">
            <legend><?php echo JText::_('Details'); ?></legend>

<?php
if ($acctionTask == 'edit') {
    $termsData = $this->getTermDt($cid);

    foreach ($termsData AS $items) {
        
        if (!empty($items[0]->title)) {
            echo '<fieldset class="adminform"><legend>' . $items[0]->title . '</legend>' . "\n";

            echo '<table class="admintable">';

            echo '<tr><td width="110" class="key"><label for="title">';

            echo JText::_('Title');

            echo ':</label></td><td>';

            echo '<input class="inputbox" type="text" name="title' . $items[0]->id . '" id="title' . $items[0]->id . '" size="60" value="';

            echo $items[0]->title . '" /><input type="hidden" name="cid[]" id="cid[]" value="' . $items[0]->id . '" /></td></tr>';

            echo '<tr><td width="120" class="key">';

            echo JText::_('GLOSSARY TERM CONCEPT');

            echo ':</td><td>';

            echo $txtEditor->display('term' . $items[0]->id, $items[0]->term, '70%;', '150', '130', '10');

            echo '</td></tr>';

            echo '<tr><td width="120" class="key">';

            echo JText::_('Published');

            echo ':</td><td>';

            echo JHTML::_('select.booleanlist', 'published' . $items[0]->id, 'class="inputbox"', (int)$items[0]->published);

            echo '</td></tr>';

            echo '</table>' . "\n" . '</fieldset>';
        }
    }
}

if ($acctionTask == 'add') {
    echo '<table class="admintable">'. "\n";

    echo '<tr><td width="110" class="key"><label for="title">';

    echo JText::_('Title');

    echo ':</label></td><td><input class="inputbox" type="text" name="title" id="title" size="60" value="';

    echo '" /></td></tr>';

    echo '<tr><td width="120" class="key">';

    echo JText::_('GLOSSARY TERM CONCEPT');

    echo ':</td><td>';

    echo $txtEditor->display('term', '', '70%;', '150', '130', '10');

    echo '</td></tr>';

    echo '<tr><td width="120" class="key">';

    echo JText::_('Published');

    echo ':</td><td>';

    echo JHTML::_('select.booleanlist', 'published', 'class="inputbox"', '0');

    echo '</td></tr>' . "\n" . '</table>';
}
?>
        </fieldset>
    </div>
    <div class="clr"></div>
    <input type="hidden" name="task" id="task" value="" />
    <input type="hidden" name="option" value="com_eglossary" />
<?php echo JHTML::_('form.token'); ?>
</form>

<div id="footEGlossary"><?php echo JText::_('EGLOSSARY COPYRIGHTS') ?></div>