<?php
/**
* @package      com_eglossary for Joomla! 1.5
* @version	$Id: view.html.php 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* flexam is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class eglossaryViewTermlist extends JView{
    function display( $tpl = null ){
        global $mainframe, $option;

        $document	= JFactory::getDocument();
        $document->addScript(JURI::base() . 'components/com_eglossary/style/eglossary.js');

        $db			=& JFactory::getDBO();
        $filter_order		= $mainframe->getUserStateFromRequest( "$option.filter_order_Quest",        'filter_order',	'm.id',	'cmd' );
        $filter_order_Dir	= $mainframe->getUserStateFromRequest( "$option.filter_order_Dir_Quest",    'filter_order_Dir',	'',		'word' );
        $filter_state		= $mainframe->getUserStateFromRequest( "$option.filter_state_Quest",        'filter_state',	'',		'word' );
        $search			= $mainframe->getUserStateFromRequest( "$option.search_Quest",              'search',		'',		'string' );
        $search			= JString::strtoupper( $search );

        $limit                  = $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
        $limitstart             = $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );

        $where = array();

        if ( $filter_state ){
            if ( $filter_state == 'P' ){
                    $where[] = 'm.published = 1';
            } else if ($filter_state == 'U' ){
                    $where[] = 'm.published = 0';
            }
        }

        if ($search){
                $where[] = 'LOWER(m.title ) LIKE '.$db->Quote( '%'.$db->getEscaped( $search, true ).'%', false );
        }

        $where 		= ( count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '' );
        $orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir;

        $query = 'SELECT COUNT(m.id)'
        . ' FROM #__eglossaryTerm AS m'
        . $where;

        $db->setQuery( $query );
        $total = $db->loadResult();

        jimport('joomla.html.pagination');
        $pagination = new JPagination( $total, $limitstart, $limit );

        $query = 'SELECT m.id, m.title, m.term, m.idUser, DATE_FORMAT(m.dateUp,"%d-%m-%Y") AS dateUp, DATE_FORMAT(m.dateModify,"%d-%m-%Y") AS dateModify, m.published, m.checked_out, a.name, a.email FROM #__eglossaryTerm AS m LEFT JOIN #__users AS a ON m.idUser=a.id '
        . $where
        . $orderby
        ;
        $db->setQuery( $query, $pagination->limitstart, $pagination->limit );
        $rows = $db->loadObjectList();

        if ($db->getErrorNum()) {
                echo $db->stderr();
                return false;
        }

        
        // state filter
        $lists['state']	= JHTML::_('grid.state',  $filter_state );

        // table ordering
        $lists['order_Dir']	= $filter_order_Dir;
        $lists['order']		= $filter_order;

        // search filter
        $lists['search']= $search;

        $this->assignRef('user',	JFactory::getUser());
        $this->assignRef('lists',	$lists);
        $this->assignRef('items',	$rows);
        $this->assignRef('pagination',	$pagination);

        parent::display($tpl);
    }

    function getTermDt ($ids=array()) {
        $db     =& JFactory::getDBO();
        $result = NULL;

        if(!empty($ids[0])){
            foreach ($ids as $id) {
                $query  = "SELECT * FROM #__eglossaryTerm WHERE id='$id' ";
                $db->setQuery( $query );
                $result[] = $db->loadObjectList();
            }

            return $result;
        } else {
            return false;
        }
    }

    function jsVarDump ($ids=array()) {
        if(!empty($ids[0])){
            $out = NULL;

            foreach ($ids as $id) {
                $out .= ", '$id'";
            }

            return $out;
        } else {
            return NULL;
        }
    }
}